a = [12, 3, 4, 6, 5, 9]
b = [10, 3, 2, 6, 3, 7]

def stdev(x):
    m = sum(x)/len(x)
    c = 0
    for elem in x:
        c += (elem - m)**2
    c = c/len(x)
    return c**(1/2)

def covar(x,y):
    if len(x) != len(y):
        raise ValueError("Arrays must be of same length")
    mx = sum(x)/len(x)
    my = sum(y)/len(y)
    c = 0
    for elemx, elemY in zip(x,y):
        c += (elemx - mx) * (elemY - my)
    return c/len(x)

def my_pearson(x,y):
    if len(x) != len(y):
        raise ValueError("Arrays must be of same length")
    return covar(x,y)/(stdev(x)*stdev(y))

print(my_pearson(a,b))