l = [-2, 1, -3, 4, -1, 2, 1, -5, 4]

def max_subarray(numbers):
    """Find the largest sum of any contiguous subarray."""
    best_sum = 0 
    current_sum = 0
    for x in numbers:
        current_sum = max(0, current_sum + x)
        best_sum = max(best_sum, current_sum)
    return best_sum